Package org.apache.lucene.search

## Class DisiWrapper

- java.lang.Object
- - org.apache.lucene.search.DisiWrapper

-     public class DisiWrapper
      extends Object

  Wrapper used in `DisiPriorityQueue`.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `DocIdSetIterator` | `approximation` |
    `long` | `cost` |
    `int` | `doc` |
    `DocIdSetIterator` | `iterator` |
    `float` | `matchCost` |
    `DisiWrapper` | `next` |
    `Scorer` | `scorer` |
    `TwoPhaseIterator` | `twoPhaseView` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DisiWrapper​(Scorer scorer)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### iterator

          public final DocIdSetIterator iterator

    - #### scorer

          public final Scorer scorer

    - #### cost

          public final long cost

    - #### matchCost

          public final float matchCost

    - #### doc

          public int doc

    - #### next

          public DisiWrapper next

    - #### approximation

          public final DocIdSetIterator approximation

    - #### twoPhaseView

          public final TwoPhaseIterator twoPhaseView

  - ### Constructor Detail

    - #### DisiWrapper

          public DisiWrapper​(Scorer scorer)